package com.fs.his.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.models.auth.In;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 支付明细对象 fs_store_payment
 *
 * @author fs
 * @date 2023-08-11
 */
public class FsStorePayment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long paymentId;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String payCode;

    /** 支付类型 weixin alipay */
    @Excel(name = "支付类型 weixin alipay")
    private String payTypeCode;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** OPENID */
    @Excel(name = "OPENID")
    private String openId;

    /** 业务类型  */
    @Excel(name = "业务类型 1问诊 ")
    private Integer businessType;

    /** 关联业务ID */
    @Excel(name = "关联业务ID")
    private String businessId;

    /** 状态 0未支付 1已支付 -1 已退款 */
    @Excel(name = "状态 0未支付 1已支付 -1 已退款")
    private Integer status;

    /** 交易单号 */
    @Excel(name = "交易单号")
    private String bankTransactionId;

    /** 银行流水号 */
    @Excel(name = "银行流水号")
    private String bankSerialNo;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal refundMoney;

    /** 退款时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "退款时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refundTime;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long storeId;

    private Long companyId;

    private String businessCode;


    private String payMode;

    private Integer shareStatus;
    private String shareCode;
    private BigDecimal shareMoney;
    private Integer isShare;


    public Integer getIsShare() {
        return isShare;
    }

    public void setIsShare(Integer isShare) {
        this.isShare = isShare;
    }

    public Integer getShareStatus() {
        return shareStatus;
    }

    public void setShareStatus(Integer shareStatus) {
        this.shareStatus = shareStatus;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public BigDecimal getShareMoney() {
        return shareMoney;
    }

    public void setShareMoney(BigDecimal shareMoney) {
        this.shareMoney = shareMoney;
    }

    public String getPayMode() {
        return payMode;
    }

    public void setPayMode(String payMode) {
        this.payMode = payMode;
    }

    public String getBusinessCode() {
        return businessCode;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    private Long companyUserId;
    public void setPaymentId(Long paymentId)
    {
        this.paymentId = paymentId;
    }

    public Long getPaymentId()
    {
        return paymentId;
    }
    public void setPayCode(String payCode)
    {
        this.payCode = payCode;
    }

    public String getPayCode()
    {
        return payCode;
    }
    public void setPayTypeCode(String payTypeCode)
    {
        this.payTypeCode = payTypeCode;
    }

    public String getPayTypeCode()
    {
        return payTypeCode;
    }
    public void setPayMoney(BigDecimal payMoney)
    {
        this.payMoney = payMoney;
    }

    public BigDecimal getPayMoney()
    {
        return payMoney;
    }
    public void setPayTime(Date payTime)
    {
        this.payTime = payTime;
    }

    public Date getPayTime()
    {
        return payTime;
    }
    public void setTradeNo(String tradeNo)
    {
        this.tradeNo = tradeNo;
    }

    public String getTradeNo()
    {
        return tradeNo;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getOpenId()
    {
        return openId;
    }
    public void setBusinessType(Integer businessType)
    {
        this.businessType = businessType;
    }

    public Integer getBusinessType()
    {
        return businessType;
    }
    public void setBusinessId(String businessId)
    {
        this.businessId = businessId;
    }

    public String getBusinessId()
    {
        return businessId;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setBankTransactionId(String bankTransactionId)
    {
        this.bankTransactionId = bankTransactionId;
    }

    public String getBankTransactionId()
    {
        return bankTransactionId;
    }
    public void setBankSerialNo(String bankSerialNo)
    {
        this.bankSerialNo = bankSerialNo;
    }

    public String getBankSerialNo()
    {
        return bankSerialNo;
    }
    public void setRefundMoney(BigDecimal refundMoney)
    {
        this.refundMoney = refundMoney;
    }

    public BigDecimal getRefundMoney()
    {
        return refundMoney;
    }
    public void setRefundTime(Date refundTime)
    {
        this.refundTime = refundTime;
    }

    public Date getRefundTime()
    {
        return refundTime;
    }
    public void setStoreId(Long storeId)
    {
        this.storeId = storeId;
    }

    public Long getStoreId()
    {
        return storeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("paymentId", getPaymentId())
            .append("payCode", getPayCode())
            .append("payTypeCode", getPayTypeCode())
            .append("payMoney", getPayMoney())
            .append("payTime", getPayTime())
            .append("createTime", getCreateTime())
            .append("tradeNo", getTradeNo())
            .append("userId", getUserId())
            .append("openId", getOpenId())
            .append("businessType", getBusinessType())
            .append("businessId", getBusinessId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("bankTransactionId", getBankTransactionId())
            .append("bankSerialNo", getBankSerialNo())
            .append("refundMoney", getRefundMoney())
            .append("refundTime", getRefundTime())
            .append("storeId", getStoreId())
            .toString();
    }
}
